---
agentTools:
  projectIndex: https://syve.readme.io/llms.txt
---

# Authentication

## How to get an API key

To get an API key you need to send us a message on Discord or Twitter.

**Discord**: <https://discord.com/invite/rs5GPAZ7tG>

**Twitter**: <https://twitter.com/syve_ai>

If you are a QuickNode user you would have gotten your Syve API key when you purchased Syve API as an add-on via the QuickNode marketplace.

## How to use the API key

**If making a `GET` request**

For a `GET` request use the `key` query parameter. For example:

`https://api.syve.ai/v1/filter-api/dex-trades?key=<YOUR_KEY>`

**If making a `POST` request**

For a `POST` request you can provide the `key` parameter as a query parameter in the URL (like with a `GET` request) or in the JSON body of the `POST` request.

Providing `key` in the body:

```curl
curl --location --request POST 'https://api.syve.ai/v1/filter-api/dex-trades' \
--header 'Content-Type: application/json' \
--data '{
    "key": "<YOUR_KEY>"
}'
```